|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionSlider Class Reference

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider. More...

    #include <QStyleOptionSlider>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Functions

- QStyleOptionSlider ()
- QStyleOptionSlider ( const QStyleOptionSlider & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- bool dialWrapping
- int maximum
- int minimum
- qreal notchTarget
- Qt::Orientation orientation
- int pageStep
- int singleStep
- int sliderPosition
- int sliderValue
- int tickInterval
- QSlider::TickPosition tickPosition
- bool upsideDown

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOptionComplex
- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider.

The QStyleOptionSlider class is used for drawing QSlider and QScrollBar.

## Member Function Documentation

### QStyleOptionSlider::QStyleOptionSlider ()

Constructs a QStyleOptionSlider. The members variables are initialized to default values.

### QStyleOptionSlider::QStyleOptionSlider ( const QStyleOptionSlider & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionSlider::Type

Equals SO_Slider.

### const int QStyleOptionSlider::Version

Equals 1.

### bool QStyleOptionSlider::dialWrapping

This variable holds indicates whether or not the dial should wrap or not.

See also QDial::wrapping().

### int QStyleOptionSlider::maximum

This variable holds the maximum value for the slider.

### int QStyleOptionSlider::minimum

This variable holds the minimum value for the slider.

### qreal QStyleOptionSlider::notchTarget

This variable holds the number of pixel between notches.

See also QDial::notchTarget().

### Qt::Orientation QStyleOptionSlider::orientation

This variable holds the slider's orientation (horizontal or vertical).

See also Qt::Orientation.

### int QStyleOptionSlider::pageStep

This variable holds the size of the page step of the slider.

See also QAbstractSlider::pageStep.

### int QStyleOptionSlider::singleStep

This variable holds the size of the single step of the slider.

See also QAbstractSlider::singleStep.

### int QStyleOptionSlider::sliderPosition

This variable holds the position of the slider handle.

If the slider has active feedback (i.e., QAbstractSlider::tracking is true), this value will be the same as sliderValue. Otherwise, it will have the current position of the handle.

See also QAbstractSlider::tracking and sliderValue.

### int QStyleOptionSlider::sliderValue

This variable holds the value of the slider.

If the slider has active feedback (i.e., QAbstractSlider::tracking is true), this value will be the same as sliderPosition. Otherwise, it will have the value the slider had before the mouse was pressed.

See also QAbstractSlider::tracking and sliderPosition.

### int QStyleOptionSlider::tickInterval

This variable holds the interval that should be drawn between tick marks.

### QSlider::TickPosition QStyleOptionSlider::tickPosition

This variable holds the position of the slider's tick marks, if any.

See also QSlider::TickPosition.

### bool QStyleOptionSlider::upsideDown

This variable holds indicates slider control orientation.

Normally a slider increases as it moves up or to the right; upsideDown indicates that it should do the opposite (increase as it moves down or to the left).

See also QStyle::sliderPositionFromValue(), QStyle::sliderValueFromPosition(), and QAbstractSlider::invertedAppearance.